import numpy as np

c_omega = {}
c_k = {}

length = 5

def coeff(k, N):
    # print(1/N)
    omega = 2* np.pi * (k / N)
    tmp = (1/N) * (2 + 2*np.cos(omega)) 
    print(str(k) + "\t" + str(tmp)) # used to generate latex data
    return omega, tmp  

print("n\t xn") # used to generate latex data

for i in range(-length, length + 1, 1):
    tmp = coeff(i, length * 2)
    c_omega[tmp[0]] = tmp[1]
    c_k[i] = tmp[1]

print(c_omega) # dict with coefficients with omega as axis
print(c_k) # dict with coefficients with k as axis